# lib/memb.c File Reference

## Detailed Description

Memory block allocation routines.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file memb.c.

`#include <string.h>`
`#include "memb.h"`

Go to the source code of this file.

## Functions

void | memb_init (struct memb_blocks *m)
| Initialize a memory block that was declared with MEMB().
void * | memb_alloc (struct memb_blocks *m)
| Allocate a memory block from a block of memory declared with MEMB().
char | memb_free (struct memb_blocks *m, void *ptr)
| Deallocate a memory block from a memory block previously declared with MEMB().